# Files

Types:

```python
from nemo_platform.types.files import (
    CacheStatus,
    CreateFilesetRequest,
    Fileset,
    FilesetFile,
    FilesetOutputsPage,
    FilesetPurpose,
    HuggingfaceStorageConfig,
    ListFilesetFilesResponse,
    LocalStorageConfig,
    NGCStorageConfig,
    S3StorageConfig,
    SecretRef,
    StorageConfigType,
    UpdateFilesetRequest,
)
```

Methods:

- client.files.\_delete_file(path, \*, workspace, name) -> FilesetFile
- client.files.\_download_file(path, \*, workspace, name) -> BinaryAPIResponse
- client.files.\_list_files(name, \*, workspace, \*\*params) -> ListFilesetFilesResponse
- client.files.\_upload_file(path, body, \*, workspace, name, \*\*params) -> FilesetFile

## Filesets

Types:

```python
from nemo_platform.types.files import FilesetFilter
```

Methods:

- client.files.filesets.create(\*, workspace, \*\*params) -> Fileset
- client.files.filesets.retrieve(name, \*, workspace) -> Fileset
- client.files.filesets.update(name, \*, workspace, \*\*params) -> Fileset
- client.files.filesets.list(\*, workspace, \*\*params) -> SyncDefaultPagination[Fileset]
- client.files.filesets.delete(name, \*, workspace) -> Fileset

## Otlp

### Logs

Types:

```python
from nemo_platform.types.files.otlp import (
    LogQueryRequest,
    OtelExportLogsPartialSuccess,
    OtelExportLogsServiceResponse,
)
```

Methods:

- client.files.otlp.logs.create(name, \*, workspace) -> OtelExportLogsServiceResponse
- client.files.otlp.logs.query(name, \*, workspace, \*\*params) -> PlatformJobLogPage
